## barbican 3.0.0

=== debian/changelog ===
barbican (1:3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858219).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:18:11 +0200

barbican (1:3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Dependency added: net-tools (Closes: #858219)

 -- David Rabel <david.rabel@noresoft.com>  Sun, 19 Mar 2017 22:44:48 +0100

barbican (1:3.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * New upstream release.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 10:36:47 +0100

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: alembic (>= 0.8.4),
                     bandit (>= 0.13.2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-cffi,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dateutil,
                     python-eventlet (>= 0.18.4),
                     python-falcon,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-jsonschema,
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-pykmip (>= 0.5.0),
                     python-ldap3 (>= 0.9.8.2),
                     python-mock (>= 2.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.5.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-tempest (>= 1:12.1.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-barbican?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-barbican -b debian/newton
Homepage: https://github.com/openstack/barbican

Package: python-barbican
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cffi,
         python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-eventlet (>= 0.18.4),
         python-falcon,
         python-jsonschema,
         python-keystonemiddleware (>= 4.0.0),
         python-ldap3 (>= 0.9.8.2),
         python-openssl (>= 0.14),
         python-oslo.context (>= 2.9.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-paste,
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral Clouds.
 .
 This package contains the Python files and libraries.

Package: barbican-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-barbican (= ${binary:Version}),
         python-pysqlite2,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: all
Depends: adduser,
         barbican-common (= ${binary:Version}),
         ${ostack-lsb-base},
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${ostack-lsb-base},
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: barbican-keystone-listener
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${ostack-lsb-base},
         ${misc:Depends},   
         ${python:Depends}
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 aims at being useful for all environments, including large ephemeral Clouds.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.config

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	# Restore sanity...
	for i in barbican-api-paste.ini barbican.conf barbican-functional.conf policy.json vassals/barbican-api.ini ; do \
		install -D -m 0664 etc/barbican/$$i $(CURDIR)/debian/barbican-common/usr/share/barbican-common/$$i ; \
	done
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_notifications enable True

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config

## barbican 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
cffi # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycrypto>=2.6 # Public Domain
pyOpenSSL>=0.14 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.12.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
WebOb>=1.6.0 # MIT

=== debian/changelog ===
barbican (1:4.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 15:40:42 +0000

barbican (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Cleanup dependencies.
  * debian/control, debian/tests: Add dep8 tests.
  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:13:30 -0500

barbican (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 
  * debian/patches/ldap3-to-ldap.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 11:23:33 -0500

barbican (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch: Refreshed. 
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:58:09 -0500

barbican (1:4.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch, d/control: Use python-ldap, instead of
    python-pyldap which is not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Jan 2017 10:28:38 -0500

barbican (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * Use python-pyldap instead of python-ldap:
     - debian/control
     - debian/patches/use-pyldap.patch

  [ Corey Bryant ]
  * d/p/use-pyldap.patch: Dropped. Dup of ldap3-to-ldap.patch.
  * d/p/ldap3-to-ldap.patch: Restored with pyldap update.
  * New upstream version.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Add python-pep8 to BDs.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:57:55 -0500

barbican (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:01:18 -0400

barbican (1:3.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ Chuck Short]
  * d/control: Move pykmip to Suggests

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Oct 2016 13:43:38 -0400

barbican (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 19 Sep 2016 15:38:42 +0100

barbican (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ James Page ]
  * d/control: Add pykmip to Recommends.
  * d/barbican-common.postinst: Tidy, use explicit 'set -e' to avoid lintian
    warning.
  * d/barbican-doc.doc-base: Add documentation registration for barbican
    docs.
  * d/control,rules: Use ostestr to execute unit tests.
  * d/p/add-RNG-seed.patch: Dropped, included upstream.
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 14:45:31 +0100

barbican (1:3.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/p/add-RNG-seed.patch: Cherry-picked from master to seed RNG for soft HSM.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 Aug 2016 14:43:40 -0400

barbican (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * Update (Build-)Depends inline with upstream.

  [ Corey Bryant ]
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:43:37 -0400

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: apache2-dev,
               debhelper (>= 9~),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-babel (>= 2.3.4),
                     python-cffi,
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-ldap (>= 2.4.22),
                     python-mock (>= 2.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.5.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-crypto (>= 2.6),
                     python-pykmip (>= 0.5.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican
XS-Testsuite: autopkgtest

Package: python-barbican
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.10),
         python-babel (>= 2.3.4),
         python-cffi,
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.18.2),
         python-jsonschema (>= 2.0.0),
         python-keystonemiddleware (>= 4.2.0),
         python-ldap (>= 2.4.22),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.7.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-crypto (>= 2.6),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pykmip (>= 0.5.0)
Recommends: python-pymysql
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

Package: barbican-common
Architecture: all
Depends: adduser,
         python-barbican (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Replaces: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         libapache2-mod-wsgi,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: barbican-keystone-listener
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with apache2,python2,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb

override_dh_install:
	dh_install --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -rf .eggs

## barbican 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cffi # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycrypto>=2.6 # Public Domain
pyOpenSSL>=0.14 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.12.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
barbican (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:03:51 -0400

barbican (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 09:35:03 -0400

barbican (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 15:13:48 -0400

barbican (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/barbican-common.install: Install barbican-wsgi-api.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:04:49 -0400

barbican (1:5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Add (Build-)Depends on python-oslo.db.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:05:46 +0100

barbican (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:03:54 +0100

barbican (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/patches/ldap3-to-ldap.patch: Refreshed.
  * d/rules: Autogenerate the /etc/barbican/barbican.conf.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * d/rules: Write generated config file to etc/barbican/barbican.conf,
    and tidy on clean.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 11:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-babel (>= 2.3.4),
                      python-cffi,
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
@@ -29,18 +29,18 @@
                      python-ldap (>= 2.4.22),
                      python-mock (>= 2.0),
                      python-openssl (>= 0.14),
-                     python-openstackdocstheme (>= 1.5.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslotest (>= 1.10.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
@@ -48,14 +48,14 @@
                      python-pep8,
                      python-crypto (>= 2.6),
                      python-pykmip (>= 0.5.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
@@ -69,30 +69,31 @@
 Depends: python-alembic (>= 0.8.10),
          python-babel (>= 2.3.4),
          python-cffi,
-         python-cryptography (>= 1.0),
+         python-cryptography (>= 1.6),
          python-eventlet (>= 0.18.2),
          python-jsonschema (>= 2.0.0),
          python-keystonemiddleware (>= 4.2.0),
          python-ldap (>= 2.4.22),
          python-openssl (>= 0.14),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.7.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
+         python-oslo.db (>= 4.24.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pecan (>= 1.0.0),
          python-crypto (>= 2.6),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
-         python-webob (>= 1.6.0),
+         python-stevedore (>= 1.20.0),
+         python-webob (>= 1.7.1),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-pykmip (>= 0.5.0)

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 	python setup.py install --root=debian/tmp --install-layout=deb
 
 override_dh_install:
+	PYTHONPATH=$(CURDIR) oslo-config-generator \
+		--config-file etc/oslo-config-generator/barbican.conf \
+		--output-file etc/barbican/barbican.conf
 	dh_install --fail-missing
 
 override_dh_sphinxdoc:
@@ -37,3 +40,4 @@
 	rm -rf build
 	rm -rf barbican.sqlite
 	rm -rf .eggs
+	rm -f etc/barbican/barbican.conf

## barbican 5.0.1

=== debian/changelog ===
barbican (1:5.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1806041).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:07:44 -0500

barbican (1:5.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 14:59:45 +0000

## barbican 6.0.0

=== debian/changelog ===
barbican (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 12:55:17 -0500

barbican (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/barbican-common.install: Drop install of policy file.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:05:50 +0000

barbican (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New snapshot.
  * d/p/*: Rebase.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:10:20 -0500

barbican (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:19:49 +0000

barbican (1:6.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/rules: Don't run functional tests as they require barbican
    and keystone services to be running.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Nov 2017 15:18:08 -0500

barbican (1:6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 12:44:34 -0500

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	ostestr --regex "^barbican.tests.*"
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: barbican-daemons python-barbican
Depends: python-barbican, barbican-common, barbican-api,
 barbican-worker, barbican-keystone-listener
Restrictions: needs-root

## barbican 6.0.0%7eb1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cffi>=1.1.2 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
oslo.config>=4.6.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycrypto>=2.6 # Public Domain
pyOpenSSL>=16.2.0 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.17.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT

## barbican 6.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cffi>=1.7.0 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycrypto>=2.6 # Public Domain
pyOpenSSL>=16.2.0 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.17.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
barbican (1:6.0.1-0ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: access policy bypass via query string injection
    - debian/patches/CVE-2022-3100.patch: don't use contents of query
      string in barbican/api/controllers/__init__.py.
    - CVE-2022-3100

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2022 09:35:33 -0400

barbican (1:6.0.1-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Access restrictions bypass
    - debian/patches/CVE-2022-23451.patch: Change access policies to
      secret metadata in barbican/common/policies/secretmeta.py. Add a new
      role in barbican/common/policies/base.py and make use of these changes
      in barbican/api/controllers/__init__.py,
      barbican/api/controllers/secretmeta.py and
      barbican/api/controllers/secrets.py.
    - debian/patches/CVE-2022-23451-post.patch: Change secret policies in
      barbican/common/policies/secrets.py, add tests in
      barbican/tests/api/test_resources_policy.py and
      functionaltests/api/v1/functional/test_secrets_rbac.py and update
      api guide in api-guide/source/acls.rst.
    - CVE-2022-23451
  * SECURITY UPDATE: Ownership bypass
    - debian/patches/CVE-2022-23452.patch: Update container secret policies
      in barbican/common/policies/containers.py and add a new role in
      barbican/common/policies/base.py.
    - CVE-2022-23452

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Thu, 21 Apr 2022 10:52:20 -0300

barbican (1:6.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:15:09 -0500

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-cffi (>= 1.7.0),
 python-coverage (>= 4.0),
 python-crypto (>= 2.6),
 python-cryptography (>= 1.9),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-ldap (>= 2.4.22),
 python-mock (>= 2.0.0),
 python-openssl (>= 16.2.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-pep8,
 python-pykmip (>= 0.6.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican
XS-Testsuite: autopkgtest

Package: barbican-api
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 libapache2-mod-wsgi,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 python-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Replaces:
 barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python-barbican
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-cffi (>= 1.7.0),
 python-crypto (>= 2.6),
 python-cryptography (>= 1.9),
 python-eventlet (>= 0.18.2),
 python-jsonschema (>= 2.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-ldap (>= 2.4.22),
 python-openssl (>= 16.2.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-pykmip (>= 0.6.0),
Recommends:
 python-pymysql,
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/barbican barbican-(6\.\d.*)\.tar\.gz
